> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beeze.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get source type distribution



## OpenAPI

````yaml /api/openapi.yaml get /ai-search/sources/distribution
openapi: 3.1.0
info:
  title: Beeze API
  version: v1
  description: >
    External Beeze API for pricing intelligence, domain research, AI Search, and
    integrations.
servers:
  - url: https://api.beeze.io/v1
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: AI Search
    description: Results, visibility, sources, competitors, prompts, and tags
  - name: Domain research
    description: Pricing intelligence, backlinks, prospects, overview stats, and trends
  - name: Integrations
    description: Usage for connected third-party integrations
paths:
  /ai-search/sources/distribution:
    get:
      tags:
        - AI Search
      summary: Get source type distribution
      operationId: getAiSearchSourceDistribution
      parameters:
        - $ref: '#/components/parameters/Project'
        - name: type
          in: query
          required: false
          schema:
            type: string
            enum:
              - domain
              - url
            default: domain
        - $ref: '#/components/parameters/FromDate'
        - $ref: '#/components/parameters/ToDate'
        - $ref: '#/components/parameters/Provider'
        - name: locale
          in: query
          required: false
          schema:
            type: string
        - $ref: '#/components/parameters/PromptId'
      responses:
        '200':
          description: Source distribution
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/SourceDistribution'
                required:
                  - data
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
components:
  parameters:
    Project:
      name: project
      in: query
      required: true
      schema:
        type: string
        minLength: 1
      description: >-
        Project identifier. Accepts project ID, slug, or name within the active
        workspace. If the project name is ambiguous in that workspace, use the
        project slug or project ID. Public project-scoped routes also require
        globally unique project names across workspaces.
    FromDate:
      name: from
      in: query
      required: false
      schema:
        type: string
        format: date
      description: Start date in YYYY-MM-DD format
    ToDate:
      name: to
      in: query
      required: false
      schema:
        type: string
        format: date
      description: End date in YYYY-MM-DD format
    Provider:
      name: provider
      in: query
      required: false
      schema:
        type: string
    PromptId:
      name: promptId
      in: query
      required: false
      schema:
        type: string
        format: uuid
  schemas:
    SourceDistribution:
      type: object
      properties:
        type:
          type: string
        count:
          type: integer
        percentage:
          type: number
        displayType:
          type: string
        isCompetitor:
          type: boolean
        isOwnBrand:
          type: boolean
      required:
        - type
        - count
        - percentage
        - displayType
        - isCompetitor
        - isOwnBrand
    Problem:
      type: object
      properties:
        type:
          type: string
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        code:
          type: string
        requestId:
          type: string
        instance:
          type: string
      required:
        - status
        - detail
        - code
  responses:
    BadRequest:
      description: Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Problem'
    Unauthorized:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Problem'
    Forbidden:
      description: Missing plan access, feature access, or workspace access
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Problem'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for external Beeze API access

````